From 5b261cba5a914040a99e7834b5374fbd502d6556 Mon Sep 17 00:00:00 2001
From: Niklas Hayer <nikha354@gmail.com>
Date: Sun, 10 May 2009 20:44:09 +0200
Subject: [PATCH] Prevented QT4 gui from changing size while maximized.
 This should fix https://trac.videolan.org/vlc/ticket/1883

---
 modules/gui/qt4/main_interface.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/modules/gui/qt4/main_interface.cpp b/modules/gui/qt4/main_interface.cpp
index ab0eb9a..8baf686 100644
--- a/modules/gui/qt4/main_interface.cpp
+++ b/modules/gui/qt4/main_interface.cpp
@@ -637,7 +637,7 @@ QSize MainInterface::sizeHint() const
  */
 void MainInterface::doComponentsUpdate()
 {
-    if( isFullScreen() ) return;
+    if( isFullScreen() || isMaximized() ) return;
 
     msg_Dbg( p_intf, "Updating the geometry" );
     /* Here we resize to sizeHint() and not adjustsize because we want
-- 
1.6.1.2

